Page MenuHomePhabricator

Use of '<' in PPPoE password fails
Closed, ResolvedPublicBUG

Description

While following the guide to enable PPPoE to my DSL provider, my PPPoE password as it has a < in which appears to be being misinterpreted by some bit of underlying shell:

vyos@vyos# commit
[ interfaces ethernet eth1 pppoe 0 password pass<word ]
sh: word: No such file or directory

[[interfaces ethernet eth1 pppoe 0]] failed
Commit failed

I've tried wrapping the password in quotes while setting and \escaping the < but nothing seems to work.

  • set password "pass<word"
  • set password 'pass<word'
  • set password pass\<word

On Slack, @runborg suggested it might be a bug in https://github.com/vyos/vyatta-cfg-op-pppoe/blob/current/templates-cfg/interfaces/ethernet/node.tag/pppoe/node.tag/password/node.def

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0+201902201040
Why the issue appeared?
Will be filled on close

Event Timeline

matthew.slowe updated the task description. (Show Details)
runar added a subscriber: runar.Mar 22 2019, 9:53 PM

i've updated the code to handle <, > and probably other special characters. for now its waiting a merge on current/rolling and needs testing when merged

c-po assigned this task to runar.Mar 22 2019, 10:11 PM

Code is now merged, please test in the next rolling release tomorrow

c-po closed this task as Resolved.Mar 22 2019, 10:15 PM
c-po added a project: VyOS 1.3 Equuleus.
c-po moved this task from Need Triage to VyOS 1.2.1 on the VyOS 1.2 Crux board.
c-po edited projects, added VyOS 1.2 Crux (VyOS 1.2.1); removed VyOS 1.2 Crux.
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.1) board.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
pasik added a subscriber: pasik.Mar 23 2019, 9:19 PM
dmbaturin renamed this task from Use of '<' in password fails to Use of '<' in PPPoE password fails.Apr 11 2019, 1:06 PM